#ifndef TIMELABEL_H
#define TIMELABEL_H

#include <QDBusInterface>
#include <klabel.h>

using namespace kdk;

class TimeLabel : public KLabel
{
    Q_OBJECT

public:
    TimeLabel(QWidget *parent = nullptr);
    ~TimeLabel();
    // 返回日期和星期
    QString dateText();

protected:
    void timerEvent(QTimerEvent *e);
    void setTimeText();

private:
    int timerID;
    QDBusInterface *areaInterface = nullptr;
    QString        timeFormat     = "";
    QString        date           = "";

Q_SIGNALS:
    void dateChanged();
};




#endif // TIMELABEL_H
